Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedPrivilegedCharacterChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedCharacterChannelAdapter
          org.jasig.portal.MultithreadedPrivilegedCharacterChannelAdapter

All Implemented Interfaces:
  IChannel, ICharacterChannel, IPrivileged, IPrivilegedChannel

    public class MultithreadedPrivilegedCharacterChannelAdapter

extends MultithreadedCharacterChannelAdapter
implements IPrivilegedChannel

Internal adapter for a multithreaded character channel that is also privileged.

Version:
  $Revision: 1.6 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com, Nick Bolton
See Also:
  `MultithreadedCharacterChannelAdapter`

Field Summary

Fields inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`channel, uid`

Constructor Summary
`MultithreadedPrivilegedCharacterChannelAdapter(IMultithreadedCharacterChannel channel, java.lang.String uid)`

Method Summary
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`getRuntimeProperties, receiveEvent, renderCharacters, renderXML, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Constructor Detail

### MultithreadedPrivilegedCharacterChannelAdapter

    public MultithreadedPrivilegedCharacterChannelAdapter(IMultithreadedCharacterChannel channel,
                                                          java.lang.String uid)

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD